function init(hero) {
    hero.setName("Medusa/Medusalith Amaquelin");
    hero.setTier(3);
    
    hero.setHelmet("Hair");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");
	
    
    hero.addPowers("tgheroes:hair");
    hero.addAttribute("FALL_RESISTANCE", 2.0, 0);
    hero.addAttribute("PUNCH_DAMAGE", 1.0, 0);
	hero.addAttribute("WEAPON_DAMAGE", 2.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.1, 1);
    
    hero.addKeyBind("TENTACLE_JAB", "Hair Jab", 1);
    hero.addKeyBind("TENTACLE_GRAB", "Hair Grab", 2);
    hero.addKeyBind("TENTACLE_STRIKE", "Hair Strike", 3);
    hero.addKeyBind("TENTACLES", "Trichokinesis", 5);
    
    hero.setKeyBindEnabled(isKeyBindEnabled);
}

function isKeyBindEnabled(entity, keyBind) {
    return keyBind == "TENTACLES" || entity.getData("fiskheroes:tentacles") != null;
}
